This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 178184 - wxGTK 2.6.2 causes aMule crashes
wxGTK 2.6.2 causes aMule crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 08:26 EST by Andreas Hanke
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-21 11:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Hanke 2006-01-18 08:26:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060102 Firefox/1.5

Description of problem:
wxGTK 2.6.2 has a bug that makes aMule crash on server connection.

Description of problem:

http://forum.amule.org/thread.php?threadid=8894

Upstream bug report:

http://sourceforge.net/tracker/index.php?func=detail&aid=1281054&group_id=9863&atid=309863

Patch from upstream CVS:

http://cvs.wxwidgets.org/viewcvs.cgi/wxWidgets/src/unix/gsocket.cpp.diff?r1=1.51&r2=1.51.2.1&diff_format=u

Version-Release number of selected component (if applicable):
wxGTK-2.6.2-3

How reproducible:
Sometimes

Steps to Reproduce:
1. Compile aMule 2.1.0 against wxGTK-2.6.2-3.
2. Launch aMule 2.1.0.
3. Let it run for some hours.
  

Actual Results:  aMule crashes with a backtrace similar to the one in http://forum.amule.org/thread.php?threadid=8894

Expected Results:  aMule runs stable for days or even weeks

Additional info:

Fix was scheduled upsteam, but overlooked for the 2.6.2 release. Fix is approved upstream and applied to WX_2_6_BRANCH.
Comment 1 Matthew Miller 2006-01-18 08:34:52 EST
Thanks; will take a look.
Comment 2 Matthew Miller 2006-02-06 14:54:59 EST
This should be fixed in the wxGTK update building in devel right now....

Note You need to log in before you can comment on or make changes to this bug.